# =============================================================================
# Python Cartographic Library. Copyright (C) 2005 Sean C. Gillies
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
#
# Contact email: sgillies@frii.com
# =============================================================================

from _proj4 import transform_points

class ProjTransform:

    """A transformation between two spatial reference systems
    """

    def __init__(self, destination, source):
        """Initialize"""
        self.dst_proj = destination.tostring()
        self.src_proj = source.tostring()

    def transform(self, coordinates):
        """Transform a list of X,Y coordinate tuples, and return a new list
        of the transformed points"""
        return transform_points(self.dst_proj, self.src_proj, coordinates)

