# =============================================================================
# Python Cartographic Library (C) 2005 Sean C. Gillies
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
#
# Contact email: sgillies@frii.com
# ===========================================================================

from setuptools import setup, Extension

proj4_extension = Extension('cartography.proj.transform._proj4',
    sources=['cartography/proj/transform/_proj4module.c'],
    libraries=['proj'],
)

geos_extension = Extension('cartography.geometry._geom',
    sources=['cartography/geometry/_geommodule.c'],
    libraries=['geos_c', 'proj']
)

setup(name              = 'PCL-Core',
      version           = '0.11.0',
      description       = 'Framework and libraries for GIS and Cartography',
      author            = 'Sean Gillies',
      author_email      = 'sgillies@frii.com',
      url               = 'http://www.gispython.org',
      namespace_packages= ['cartography'],
      packages          = ['cartography',
                           'cartography.data', 'cartography.styles',
                           'cartography.proj', 'cartography.proj.transform',
                           'cartography.geometry', 'cartography.context'
                           ],
      ext_modules       = [proj4_extension, geos_extension],
)

