# =============================================================================
# Python Cartographic Library. Copyright (C) 2005 Sean C. Gillies
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
#
# Contact email: sgillies@frii.com
# =============================================================================

from setuptools import setup, Extension

osr_extension = Extension('cartography.proj._osrtranslate',
    sources=['cartography/proj/_osrtranslatemodule.c'],
    libraries=['gdal'],
)

setup(name          = 'PCL-GDAL',
      version       = '0.11.0',
      description   = 'Access to GIS Rasters and Features via GDAL/OGR',
      license       = 'GPL',
      keywords      = 'raster feature data gis',
      author        = 'Sean Gillies',
      author_email  = 'sgillies@frii.com',
      url           = 'http://www.gispython.org',
      namespace_packages    = ['cartography.data', 'cartography.proj'],
      packages              = ['cartography.data', 'cartography.proj', 'cartography'],
      ext_modules           = [osr_extension],
      test_suite            = 'tests.runalltests.test_suite'
)

