# $Id: setup.py,v 1.1 2005/01/27 04:53:51 sgillies Exp $

# =============================================================================
# Python Cartographic Library. Copyright (C) 2004 Sean C. Gillies
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
#
# Contact email: sgillies@frii.com
# =============================================================================

import os
from distutils.core import setup, Extension

# Here for now
ms_home = '/home/sean/projects/ms_46/mapserver'

# Run SWIG
os.system('swig -python -modern -keyword -o msbridge_wrap.c msbridge.i')

# Define the extension module
ext_mod = Extension('_msbridge', 
                    sources = ['msbridge_wrap.c', 'mapserverbridge.c'],
                    include_dirs=[ms_home, '.'])

# Run setup script
setup(name='MapServer Bridge',
      version='0.0',
      py_modules=['msbridge'],
      ext_modules=[ext_mod]
)


